Bug 180449 - ghc-doc should depend on ghc
ghc-doc should depend on ghc
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ghc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-08 01:18 EST by Michel Alexandre Salim
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-22 01:44:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2006-02-08 01:18:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8.0.1) Gecko/20060124 Firefox/1.5.0.1

Description of problem:
ghc-doc does not have a dependency on ghc, contrary to expectations (python-docs depends on python, boost-doc depends on boost).



Version-Release number of selected component (if applicable):
ghc-6.4.1-2

How reproducible:
Always

Steps to Reproduce:
1. yum install ghc-doc
  

Actual Results:  yum offers to install ghc-doc without pulling in ghc as a dependency

Expected Results:  Both ghc-doc and ghc scheduled for installation

Additional info:
Comment 1 Jens Petersen 2006-03-02 03:11:57 EST
I suppose it is more consistent -- I guess the main reason I didn't do it
originally is that ghc is a big package: so one could also imagine
someone wanting ghc-doc installed without having to install ghc say...
well that was the thinking anyway.
Comment 2 Jens Petersen 2006-03-22 01:44:50 EST
Fixed in 6.4.1-4.fc5.

Note You need to log in before you can comment on or make changes to this bug.